/* This file is part of Lcrzo.
*/

int lcrzo_priv_close_tlsalloc(void)
{
#if defined LCRZODEF_SYSTEM_Unix
#elif defined LCRZODEF_SYSTEM_Windows
  BOOL err;
  
  err=TlsFree(lcrzo_priv_globaltlsindex);
  if (!err) return(LCRZO_ERR_FUTLSFREE);

  lcrzo_priv_globaltlsindex=0xFFFFFFFFu;
#else
 #error "Unknown value for LCRZODEF_SYSTEM"
#endif
  return(LCRZO_ERR_OK);
}

